liborigin 2.0.0

Public Member Functions | Public Attributes | List of all members
Origin::Excel Struct Reference

`#include <OriginObj.h>`

Inheritance diagram for Origin::Excel:

## Public Member Functions
| Excel (const string &_name="", const string &_label="", int _maxRows=0, bool _hidden=false, bool _loose=true)
Public Member Functions inherited from Origin::Window
| Window (const string &_name="", const string &_label="", bool _hidden=false)

## Public Attributes
bool | loose
unsigned int | maxRows
vector< SpreadSheet > | sheets
Public Attributes inherited from Origin::Window
time_t | creationDate
Rect | frameRect
bool | hidden
string | label
time_t | modificationDate
string | name
int | objectID
State | state
Title | title

## Additional Inherited Members
Public Types inherited from Origin::Window
enum | State { Normal , Minimized , Maximized }
enum | Title { Name , Label , Both }

## Constructor & Destructor Documentation

## ◆ Excel()

Origin::Excel::Excel | ( | const string & | _name = `""`,
|  | const string & | _label = `""`,
|  | int | _maxRows = `0`,
|  | bool | _hidden = `false`,
|  | bool | _loose = `true`
| ) |  |
| inline

## Member Data Documentation

## ◆ loose

bool Origin::Excel::loose

## ◆ maxRows

unsigned int Origin::Excel::maxRows

## ◆ sheets

vector<SpreadSheet> Origin::Excel::sheets

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h